package cn.org.bjca.trust.java.imserver.controller;

import cn.org.bjca.trust.java.imserver.entitys.Message;
import cn.org.bjca.trust.java.imserver.entitys.UserInfo;
import cn.org.bjca.trust.java.imserver.entitys.message.TextMessage;
import cn.org.bjca.trust.java.imserver.repository.MessageRepository;
import cn.org.bjca.trust.java.imserver.repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("hello")
public class HelloController {
    @Autowired
    private MessageRepository messageRepository;

    @GetMapping("/{id}")
    public String getById(@PathVariable String id) throws Exception {
        System.out.println("id ==> " + id);
        Message message = new Message();
        message.setType("111");
        TextMessage textMessage = new TextMessage();
        textMessage.setText("ssss");
        message.setTextMessage(textMessage);
        messageRepository.save(message);
        return "{\"msg\":\"qdxorigin\",\"code\":200,\"data\":\"Sbfuiaefhaikufhcsauik\"}";
    }
}
